Subject: Re: TEMAC drivers for kernel 2.6.17.1

From: "David H. Lynch Jr." <[email-masked]>
Date: Fri, 27 Oct 2006 23:35:01 -0400

Pradeep Sampath wrote:
> Hi,
>  
> I am using linux kernel 2.6.17.1 on ML403 dev board. I am trying to 
> get the TEMAC to work but with no success. I applied TEMAC patches 
> from http://source.mvista.com/~ank/paulus-powerpc/20060309/ 
> <http://source.mvista.com/%7Eank/paulus-powerpc/20060309/>. But the 
> ethernet interface does not seem to come up. 
> Is there any other TEMAC patch out there which is known to work with 
> 2.6 kernel? 
>  
> For the BSP I tried using the ML403 EDK Embedded PowerPC reference 
> design from Xilinx. But it doesn't come with a PLB TEMAC in the 
> design. I also tried to use xapp902 which has the PLB TEMAC module. 
> But on running "Generate Libraries and BSPs" it does not generate any 
> sources code under "drivers" or "arch" folder.
I do nto beleive Xilinx has released an EDK that includes Linux 2.6 support.
The patches you linked to should work for a 2.6 kernel with a PLB TEMAC. 
But you must manually go in and force the speed to whatever you need. 
The MV driver at your link does nto autonegotiate.

I have a combined LL_TEMAC/PLB_TEMAC driver that does autonegotiate. It 
did work for the LL_TEMAC several iterations ago, but  I have not tested 
it in some time.
It does not yet  work for Linux. It is very loosely based on the MV 
driver, but does nt use the EDK, and is only for the LL_TEMAC and FIFO 
PLB_TEMAC.

There is a link to it in a previous message.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein